<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listIdentityType" mbLabelText="{{'selfService.table.documentType' | translate}} <span class='label__required'>*</span>"
                 [mbOptionHeightPx]="56" [mbOptionOverflowSize]="5"
                 [mbType]="isSubmitted && form.controls[identityType].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls[identityType].errors !== null"
                 [mbErrors]="form.controls[identityType].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.table.documentType' | translate }}]"
                 mbPlaceholder="{{'selfService.table.documentType' | translate}}"
                 (ngModelChange)="selectIdentityType($event)"
                 [formControlName]="identityType"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text appNumberInput [formControlName]="identityNumber" mbLabelText="{{'selfService.table.identityNumber' | translate}} <span class='label__required'>*</span>"
                     [mbShowFlexEnd]="false" [mbMaxLength]="12" [mnMinLength]="6"
                     [mbType]="isSubmitted && form.controls[identityNumber].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls[identityNumber].errors !== null"
                     [mbErrors]="form.controls[identityNumber].errors"
                     [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.table.identityNumber' | translate }},
                           { errorName: 'minlength', errorDescription: 'selfService.validate.minLength' | translate: {'numberLength': 6}},
                           { errorName: 'maxlength', errorDescription: 'selfService.validate.maxLength' | translate: {'numberLength': 12}},
                           { errorName: 'accDuplicate', errorDescription: 'selfService.validate.duplicate' | translate: {'param': 'selfService.table.identityNumber' | translate}}]"
                     mbPlaceholderText="{{'selfService.table.identityNumber' | translate}}"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker mbLabelText="{{'selfService.table.dateOfIdentity' | translate}}"
        [mbType]="isSubmitted && form.errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.errors !== null"
        [mbErrors]="form.errors"
        [mbErrorDefs]="[{ errorName: 'rangeDateError', errorDescription: 'selfService.validate.rangeDate.pareDate' | translate:
        {'fromDate': 'selfService.table.dateOfIdentity' | translate, 'toDate': 'selfService.table.identityExpireDate' | translate}}]"
        mbPlaceholderText="{{'selfService.table.dateOfIdentity' | translate}}"
        [formControlName]="dateOfIdentity"></mb-date-picker>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <ng-container *ngIf="form.controls['idTypeCode']?.value === constant.PAPERS_CODE.ID_NO || form.controls['idTypeCode']?.value === constant.PAPERS_CODE.CITIZEN_ID; else other">
        <mb-select [mbDataSelects]='listPlace'
                   mbPlaceholder="{{'selfService.table.placeOfIdentity' | translate}}"
                   mbLabelText="{{'selfService.table.placeOfIdentity' | translate}}"
                   [formControlName]='placeOfIdentity'></mb-select>
      </ng-container>
      <ng-template #other>
        <mb-input-text [formControlName]="placeOfIdentity" mbLabelText="{{'selfService.table.placeOfIdentity' | translate}}"
                       [mbShowFlexEnd]="false" [mbMaxLength]="199"
                       [mbType]="isSubmitted && form.controls[placeOfIdentity].errors ? 'error' : 'default'"
                       [mbShowError]="isSubmitted && form.controls[placeOfIdentity].errors !== null"
                       [mbErrors]="form.controls[placeOfIdentity].errors"
                       [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'selfService.validate.maxLength' | translate: {'numberLength': 199}}]"
                       mbPlaceholderText="{{'selfService.table.placeOfIdentity' | translate}}"></mb-input-text>
      </ng-template>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker mbLabelText="{{'selfService.table.identityExpireDate' | translate}}"
        [mbType]="isSubmitted && form.errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.errors !== null"
        [mbErrors]="form.errors"
        mbPlaceholderText="{{'selfService.table.identityExpireDate' | translate}}"
        [formControlName]="identityExpireDate" [mbErrorDefs]="[{ errorName: 'rangeDateError', errorDescription: 'selfService.validate.rangeDate.pareDateMore' | translate:
        {'toDate': 'selfService.table.identityExpireDate' | translate, 'fromDate': 'selfService.table.dateOfIdentity' | translate}}]">
      </mb-date-picker>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="[{label: 'Không', value: 0}, {label: 'Có', value: 1}]" mbLabelText="{{'selfService.table.documentMain' | translate}}"
                 [mbOptionHeightPx]="56" [mbOptionOverflowSize]="2"
                 mbPlaceholder="{{'selfService.table.documentMain' | translate}}"
                 [formControlName]="documentMain"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24" class="input__group" [class.removePaddingBottom]="isSubmitted && isFileEmpty">
      <label class="input__label">{{'selfService.label.file' | translate}} <span class='label__required'>*</span></label>
      <nz-upload
        nzType="drag"
        [nzMultiple]="true"
        nzAccept=".PDF, .TIF, .JPG, .GIF, .PNG"
        [(nzFileList)]="fileList"
        [nzBeforeUpload]="beforeUpload"
        [nzRemove]="removeFile"
        [nzDownload]="downloadFile"
      >
        <p class="ant-upload-drag-icon">
          <em nz-icon nzType="inbox"></em>
        </p>
        <p class="ant-upload-text">{{'common.upload.description'|translate}}</p>
        <p class="ant-upload-hint">
          {{'common.upload.supportPdfImage'|translate}}
        </p>
      </nz-upload>
    </div>

      <!-- !!!Error: File đính kèm bắt buộc nhập -->
      <div nz-col [nzXs]="24" [nzLg]="12" class="input__group fileEmptyMessage" *ngIf="isSubmitted && isFileEmpty">
          <div class="input__message">
              <em nz-icon nzTheme="outline" [nzType]="'warning'" style="color: #ED2E7E;"></em>
              <span class="text__message" style="color: #ED2E7E !important;">{{'selfService.validate.fileRequired' | translate}}</span>
          </div>
      </div>
      <!--End: Error: File đính kèm bắt buộc nhập-->
  </div>
</form>
